import 'package:dent/business.dart';
import 'package:dent/core.dart';

Future main() async {
  final product = Product(
    title: Text('Phone'),
    description: Text('A new phone'),
    price: Money.usd(300),
  );

  // Mutate
  final newProduct = product.rebuild((b) {
    b.price += Money.usd(50);
  });

  // Print
  print(newProduct.toString());
}
