// Copyright 2019 terrier989@gmail.com.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// Some shared models for dealing with product, marketing, and sales data.
///
/// Import:
/// ```
/// import 'package:dent/business.dart'.
/// ```
library dent.business;

export 'package:dent/src/business/product.dart';
export 'package:dent/src/business/shopping_cart.dart';
export 'package:dent/src/business/shopping_cart_item.dart';
export 'package:dent/src/business/shopping_transaction.dart';
